no man pages with 'make install'

Bug #1080376 reported by Christian Wittmer on 2012-11-18
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libmemcached
High
Brian Aker

Bug Description

Hi,

just trying to update our SUSE pkg (1.0.11) to current 1.0.14 and recognizing that there are no man pages after build.

Brian Aker (brianaker) on 2012-11-18
Changed in libmemcached:
assignee: nobody → Brian Aker (brianaker)
Brian Aker (brianaker) wrote :

Do you have a copy of the spec file you can share?

I just did a build and the man pages are ending up in share/ correctly.

Brian Aker (brianaker) on 2012-11-18
Changed in libmemcached:
status: New → Incomplete

Hi Brian,

this is not a "spec" file issue. The previous version we had built (1.0.11) had man pages.
and If you review the build.log file, you will see that there was no installation of ' man pages'
as it should have been done by 'make install'.

The only stuff I changed in spec was:
admin@chris:~/OBS/home:computersalat:devel:SOGo/libmemcached> osc diff
Index: libmemcached.spec
===================================================================
--- libmemcached.spec (revision f90170e69da2d02fa5ad391bd52e5a02)
+++ libmemcached.spec (working copy)
@@ -21,13 +21,14 @@
 Summary: A C and C++ client library to the memcached server
 License: BSD-3-Clause
 Group: Development/Libraries/C and C++
-Version: 1.0.11
+Version: 1.0.14
 Release: 0
 Url: http://libmemcached.org
 Source0: https://launchpad.net/libmemcached/1.0/%{version}/+download/libmemcached-%{version}.tar.gz
 Source1: https://launchpad.net/libmemcached/1.0/%{version}/+download/libmemcached-%{version}.tar.gz.asc
 BuildRoot: %{_tmppath}/%{name}-%{version}-build
 # List of additional build dependencies
+BuildRequires: cyrus-sasl-devel
 BuildRequires: gcc-c++
 BuildRequires: libevent-devel
 BuildRequires: memcached

Weird. When I do a make install the man pages are installed.

Let me double check things on my end, if you could do the same that
would be appreciated.

Sent from my Ti85

On Nov 19, 2012, at 3:15, Christian Wittmer <email address hidden> wrote:

> Hi Brian,
>
> this is not a "spec" file issue. The previous version we had built (1.0.11) had man pages.
> and If you review the build.log file, you will see that there was no installation of ' man pages'
> as it should have been done by 'make install'.
>
>
> The only stuff I changed in spec was:
> admin@chris:~/OBS/home:computersalat:devel:SOGo/libmemcached> osc diff
> Index: libmemcached.spec
> ===================================================================
> --- libmemcached.spec (revision f90170e69da2d02fa5ad391bd52e5a02)
> +++ libmemcached.spec (working copy)
> @@ -21,13 +21,14 @@
> Summary: A C and C++ client library to the memcached server
> License: BSD-3-Clause
> Group: Development/Libraries/C and C++
> -Version: 1.0.11
> +Version: 1.0.14
> Release: 0
> Url: http://libmemcached.org
> Source0: https://launchpad.net/libmemcached/1.0/%{version}/+download/libmemcached-%{version}.tar.gz
> Source1: https://launchpad.net/libmemcached/1.0/%{version}/+download/libmemcached-%{version}.tar.gz.asc
> BuildRoot: %{_tmppath}/%{name}-%{version}-build
> # List of additional build dependencies
> +BuildRequires: cyrus-sasl-devel
> BuildRequires: gcc-c++
> BuildRequires: libevent-devel
> BuildRequires: memcached
>
> ** Attachment added: "libmemcached spec"
> https://bugs.launchpad.net/libmemcached/+bug/1080376/+attachment/3438466/+files/libmemcached.spec
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1080376
>
> Title:
> no man pages with 'make install'
>
> Status in libmemcached - A C and C++ client library for memcached:
> Incomplete
>
> Bug description:
> Hi,
>
> just trying to update our SUSE pkg (1.0.11) to current 1.0.14 and
> recognizing that there are no man pages after build.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/libmemcached/+bug/1080376/+subscriptions

Brian Aker (brianaker) wrote :

Can you post the spec file you are building with?

file is already attached

Brian Aker (brianaker) wrote :

Sorry about that... let me see what happens when I try to build an RPM with it.

Brian Aker (brianaker) wrote :

BTW from the RHEL based spec file:

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" AM_INSTALL_PROGRAM_FLAGS=""

Your spec file calls install-am, which skips BUILT_SOURCES.

Brian Aker (brianaker) wrote :

Also,... there seems to be an issue with BUILT_SOURCES around make -j.

Brian Aker (brianaker) wrote :

Can you look at trunk and see if this problem still exists?

Thanks.

Changed in libmemcached:
milestone: none → 1.0.15
importance: Undecided → High
status: Incomplete → Fix Committed

Hi Brain, we tried to recompile the source with the version from trunk but we got following error:

root@buildbox03:~/libmemcached-1.0.14.1# ./configure --build=x86_64-linux-gnu --prefix=/usr --includedir=${prefix}/include --mandir=${prefix}/share/man --infodir=${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --libexecdir=${prefix}/lib/libmemcached --disable-maintainer-mode --disable-dependency-tracking --disable-sasl --enable-libmemcachedprotocol

...

checking if all warnings into errors... no
checking the number of available CPUs... 3
configure: adding automake macro support
configure: creating aminclude.am
configure: added jobserver support to make for 4 jobs
configure: error: conditional "HAVE_LIBSASL" was never defined.
Usually this means the macro was only invoked conditionally.
root@buildbox03:~/libmemcached-1.0.14.1# echo $?
1

Unsure if the problem still exists. Any idea on the libsasl error?

Thanks!

Thanks, found the issue. This is fixed in the 1.0 trunk.

On Dec 12, 2012, at 2:08 AM, Massive Media <email address hidden> wrote:

> Hi Brain, we tried to recompile the source with the version from trunk
> but we got following error:
>
> root@buildbox03:~/libmemcached-1.0.14.1# ./configure --build=x86_64
> -linux-gnu --prefix=/usr --includedir=${prefix}/include
> --mandir=${prefix}/share/man --infodir=${prefix}/share/info
> --sysconfdir=/etc --localstatedir=/var
> --libexecdir=${prefix}/lib/libmemcached --disable-maintainer-mode
> --disable-dependency-tracking --disable-sasl --enable-
> libmemcachedprotocol
>
> ...
>
> checking if all warnings into errors... no
> checking the number of available CPUs... 3
> configure: adding automake macro support
> configure: creating aminclude.am
> configure: added jobserver support to make for 4 jobs
> configure: error: conditional "HAVE_LIBSASL" was never defined.
> Usually this means the macro was only invoked conditionally.
> root@buildbox03:~/libmemcached-1.0.14.1# echo $?
> 1
>
> Unsure if the problem still exists. Any idea on the libsasl error?
>
> Thanks!
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1080376
>
> Title:
> no man pages with 'make install'
>
> Status in libmemcached - A C and C++ client library for memcached:
> Fix Committed
>
> Bug description:
> Hi,
>
> just trying to update our SUSE pkg (1.0.11) to current 1.0.14 and
> recognizing that there are no man pages after build.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/libmemcached/+bug/1080376/+subscriptions

Best Brian,

when running make after the ./configure, I get following error:

root@buildbox03:~/libmemcached-1.0.14.2# make
---
In file included from libmemcached/csl/context.cc:39:
./libmemcached/csl/context.h:41:37: error: libmemcached/csl/parser.h: No such file or directory
In file included from libmemcached/csl/context.cc:39:
./libmemcached/csl/context.h:109: error: 'yytokentype' has not been declared
./libmemcached/csl/context.h:110: error: 'yytokentype' has not been declared
./libmemcached/csl/context.h:119: error: 'yytokentype' does not name a type
./libmemcached/csl/context.h: In constructor 'Context::Context(const char*, size_t, memcached_st*, memcached_return_t&)':
./libmemcached/csl/context.h:48: error: class 'Context' does not have any field named 'previous_token'
./libmemcached/csl/context.h:48: error: 'END' was not declared in this scope
libmemcached/csl/context.cc: At global scope:
libmemcached/csl/context.cc:41: error: 'yytokentype' has not been declared
libmemcached/csl/context.cc:61: error: 'yytokentype' has not been declared
libmemcached/csl/context.cc: In member function 'void Context::error(const char*, int, const char*)':
libmemcached/csl/context.cc:86: error: 'UNKNOWN_OPTION' was not declared in this scope
libmemcached/csl/context.cc:90: error: 'UNKNOWN' was not declared in this scope
make[1]: *** [libmemcached/csl/libmemcached_libmemcached_la-context.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
  GEN libmemcached/csl/scanner.cc
make[1]: Leaving directory `/tmp/buildd/libmemcached-1.0.14.2'
make: *** [all] Error 2

root@buildbox03:~/libmemcached-1.0.14.2/libmemcached/csl# ls
common.h context.cc context.h include.am parser.yy scanner.l server.h symbol.h

Can you tell us what is going wrong or fix the problem?

Thanks

For some reason nothing complains when the ./configure or make is ran without bison or flex installed.

Installed them and retrying... I'll keep you up to date.

When compiling with bison and flex installed, I get following error when making the libmemcached:

hannes@buildbox03:~/1.0$ make
  GEN libmemcached/csl/scanner.cc
bison -o libmemcached/csl/parser.cc libmemcached/csl/parser.yy
make -j4 all-am
make[1]: Entering directory `/home/hannes/1.0'
  CXX libhashkit/libmemcached_libmemcached_la-aes.lo
/bin/sh ./libtool --silent --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -fvisibility=hidden -DBUILDING_LIBMEMCACHED -g -O2 -Werror -c -o libhashkit/libmemcached_libmemcached_la-aes.lo `test -f 'libhashkit/aes.cc' || echo './'`libhashkit/aes.cc

...

g++ -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -Werror -c -o tests/tests_memerror-memerror.o `test -f 'tests/memerror.cc' || echo './'`tests/memerror.cc
  CXX tests/tests_memslap-memslap.o
g++ -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -Werror -c -o tests/tests_memslap-memslap.o `test -f 'tests/memslap.cc' || echo './'`tests/memslap.cc
make[1]: *** No rule to make target `man/memaslap.1', needed by `all-am'. Stop.
make[1]: *** Waiting for unfinished jobs....
  CXX tests/tests_memdump-memdump.o
g++ -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -Werror -c -o tests/tests_memdump-memdump.o `test -f 'tests/memdump.cc' || echo './'`tests/memdump.cc
make[1]: Leaving directory `/home/hannes/1.0'
make: *** [all] Error 2

When I remove this line from the Makefile (because I don't need manpages) I get following error:

edprotocol_la-byteorder.lo `test -f 'libmemcached/byteorder.cc' || echo './'`libmemcached/byteorder.cc
  CC libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-ascii_handler.lo
/bin/bash ./libtool --silent --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -DBUILDING_LIBMEMCACHED -pthread -g -O2 -c -o libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-ascii_handler.lo `test -f 'libmemcachedprotocol/ascii_handler.c' || echo './'`libmemcachedprotocol/ascii_handler.c
libmemcachedprotocol/ascii_handler.c: In function 'ascii_get_response_handler':
libmemcachedprotocol/ascii_handler.c:286: error: 'for' loop initial declarations are only allowed in C99 mode
libmemcachedprotocol/ascii_handler.c:286: note: use option -std=c99 or -std=gnu99 to compile your code
make[1]: *** [libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-ascii_handler.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory `/tmp/buildd/libmemcached-1.0.14.2'
make: *** [all] Error 2

Brian Aker (brianaker) wrote :
Download full text (3.2 KiB)

Did you build from tarball or revision control?

On Dec 14, 2012, at 6:18 AM, Massive Media <email address hidden> wrote:

> When compiling with bison and flex installed, I get following error when
> making the libmemcached:
>
>
> hannes@buildbox03:~/1.0$ make
> GEN libmemcached/csl/scanner.cc
> bison -o libmemcached/csl/parser.cc libmemcached/csl/parser.yy
> make -j4 all-am
> make[1]: Entering directory `/home/hannes/1.0'
> CXX libhashkit/libmemcached_libmemcached_la-aes.lo
> /bin/sh ./libtool --silent --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -fvisibility=hidden -DBUILDING_LIBMEMCACHED -g -O2 -Werror -c -o libhashkit/libmemcached_libmemcached_la-aes.lo `test -f 'libhashkit/aes.cc' || echo './'`libhashkit/aes.cc
>
> ...
>
> g++ -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -Werror -c -o tests/tests_memerror-memerror.o `test -f 'tests/memerror.cc' || echo './'`tests/memerror.cc
> CXX tests/tests_memslap-memslap.o
> g++ -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -Werror -c -o tests/tests_memslap-memslap.o `test -f 'tests/memslap.cc' || echo './'`tests/memslap.cc
> make[1]: *** No rule to make target `man/memaslap.1', needed by `all-am'. Stop.
> make[1]: *** Waiting for unfinished jobs....
> CXX tests/tests_memdump-memdump.o
> g++ -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -Werror -c -o tests/tests_memdump-memdump.o `test -f 'tests/memdump.cc' || echo './'`tests/memdump.cc
> make[1]: Leaving directory `/home/hannes/1.0'
> make: *** [all] Error 2
>
>
> When I remove this line from the Makefile (because I don't need manpages) I get following error:
>
> edprotocol_la-byteorder.lo `test -f 'libmemcached/byteorder.cc' || echo './'`libmemcached/byteorder.cc
> CC libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-ascii_handler.lo
> /bin/bash ./libtool --silent --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -DBUILDING_LIBMEMCACHED -pthread -g -O2 -c -o libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-ascii_handler.lo `test -f 'libmemcachedprotocol/ascii_handler.c' || echo './'`libmemcachedprotocol/ascii_handler.c
> libmemcachedprotocol/ascii_handler.c: In function 'ascii_get_response_handler':
> libmemcachedprotocol/ascii_handler.c:286: error: 'for' loop initial declarations are only allowed in C99 mode
> libmemcachedprotocol/ascii_handler.c:286: note: use option -std=c99 or -std=gnu99 to compile your code
> make[1]: *** [libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-ascii_handler.lo] Error 1
> make[1]: *** Waiting for unfinished jobs....
> make[1]: Leaving directory `/tmp/buildd/libmemcached-1.0.14.2'
> make: *** [all] Error 2
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1080376
>
> Title:
> no man pages with 'make install'
>
> Status in libmemcached - A C and C++ client library for memcached:
> Fix Committed
>
> Bug description:
> Hi,
>
> just trying to update our SUSE pkg (1.0.11) to current 1.0.14 and
> recognizing that there are no man pages after build.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/libmemcached/+...

Read more...

Download full text (5.6 KiB)

I build from the revision control.

I managed to get a compiling version by adapting the Makefile. But when I checked out a new version to compare my differences to the original one, I get following error while running the bootstrap autoconfigure

hannes@buildbox03:~$ bzr branch lp:libmemcached/1.0
hannes@buildbox03:~$ cd 1.0
hannes@buildbox03:~/1.0$
hannes@buildbox03:~/1.0$ ./bootstrap.sh autoreconf
HOST_OS=x86_64-canonical-ubuntu-lucid-Linux-2.6.34-1-netlog
`/usr/bin/autoreconf --install --force --verbose'
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force -I m4 -I libtest/m4
autoreconf: configure.ac: tracing
autoreconf: configure.ac: creating directory build-aux
autoreconf: running: libtoolize --install --copy --force
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, `build-aux'.
libtoolize: copying file `build-aux/config.guess'
libtoolize: copying file `build-aux/config.sub'
libtoolize: copying file `build-aux/install-sh'
libtoolize: copying file `build-aux/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
autoreconf: running: /usr/bin/autoconf --force
autoreconf: running: /usr/bin/autoheader --force
autoreconf: running: automake --add-missing --copy --force-missing
configure.ac:17: installing `build-aux/missing'
Makefile.am: installing `build-aux/depcomp'
libmemcachedinternal/include.am:26: variable `EXTRA_libmemcachedinternal_libmemcachedinternal_la_DEPENDENCIES' is defined but no program or
libmemcachedinternal/include.am:26: library has `EXTRA_libmemcachedinternal_libmemcachedinternal_la' as canonical name (possible typo)
Makefile.am:65: `libmemcachedinternal/include.am' included from here
tests/cli.am:77: variable `EXTRA_tests_memslap_DEPENDENCIES' is defined but no program or
tests/cli.am:77: library has `EXTRA_tests_memslap' as canonical name (possible typo)
Makefile.am:70: `tests/include.am' included from here
tests/include.am:77: `tests/cli.am' included from here
tests/cli.am:70: variable `EXTRA_tests_memerror_DEPENDENCIES' is defined but no program or
tests/cli.am:70: library has `EXTRA_tests_memerror' as canonical name (possible typo)
Makefile.am:70: `tests/include.am' included from here
tests/include.am:77: `tests/cli.am' included from here
tests/cli.am:14: variable `EXTRA_tests_memcapable_DEPENDENCIES' is defined but no program or
tests/cli.am:14: library has `EXTRA_tests_memcapable' as canonical name (possible typo)
Makefile.am:70: `tests/include.am' included from here
tests/include.am:77: `tests/cli.am' included from here
tests/cli.am:42: variable `EXTRA_tests_memrm_DEPENDENCIES' is defined but no program or
tests/cli.am:42: library has `EXTRA_tests_memrm' as canonical name (possible typo)
Makefile.am:70: `tests/include.am' included from here
tests/include.am:77: `tests/cli.am' included from here
tests/cli.am:49: variable `EXTRA_tests_memexist_DEPENDENCIES' is defined but no program or
tests/cli.am:49: lib...

Read more...

Brian Aker (brianaker) on 2012-12-23
Changed in libmemcached:
status: Fix Committed → Fix Released

Now 'man pages' got installed, but not able to compile with '--enable-libmemcachedprotocol'
[ 149s] CC libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-ascii_handler.lo
[ 149s] CC libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-binary_handler.lo
[ 149s] libmemcachedprotocol/ascii_handler.c: In function 'ascii_get_response_handler':
[ 149s] libmemcachedprotocol/ascii_handler.c:286:3: error: 'for' loop initial declarations are only allowed in C99 mode
[ 149s] libmemcachedprotocol/ascii_handler.c:286:3: note: use option -std=c99 or -std=gnu99 to compile your code
[ 149s] make[1]: *** [libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-ascii_handler.lo] Error 1
[ 149s] make[1]: *** Waiting for unfinished jobs....
[ 149s] make[1]: Leaving directory `/usr/src/packages/BUILD/libmemcached-1.0.15'
[ 149s] make: *** [all] Error 2
[ 149s] error: Bad exit status from /var/tmp/rpm-tmp.bSIoZf (%build)
[ 149s]
[ 149s]
[ 149s] RPM build errors:
[ 149s] Bad exit status from /var/tmp/rpm-tmp.bSIoZf (%build)

any help would be apreciated.

Thanks
Chris

hmm, back with same problem.

1.0.16 does compile but no man pages got installed again.

man pages seem to get installed when Makefile.in has empty VARS for:
@BUILD_WIN32_FALSE@@HAVE_RECENT_SPHINX_TRUE@am__append_44 = \

but Makefile does look like:
#am__append_44 = \
# man/memaslap.1 \
# man/memcapable.1 \
# man/memcat.1 \
# man/memcp.1 \
# man/memdump.1 \
# man/memerror.1 \
# man/memexist.1 \
# man/memflush.1 \
........

so how to get this fixed ?
Thanks
Chris

why do I need 'python-sphinx' to have man pages installed ?

Brian Aker (brianaker) wrote :

Hi,

The manages are written in RST. python-sphnix is used to convert the files into a number of formats (one of which is used for man pages).

The tarball is shipped with the pages built so that no one has to deal with building the pages.

Cheers,
 -Brian

On Feb 4, 2013, at 2:34 PM, Christian Wittmer <email address hidden> wrote:

> why do I need 'python-sphinx' to have man pages installed ?
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1080376
>
> Title:
> no man pages with 'make install'
>
> Status in libmemcached - A C and C++ client library for memcached:
> Fix Released
>
> Bug description:
> Hi,
>
> just trying to update our SUSE pkg (1.0.11) to current 1.0.14 and
> recognizing that there are no man pages after build.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/libmemcached/+bug/1080376/+subscriptions

Hi,

so why is a installed python-sphinx needed during build to get the
manpages installed.
If no python-sphinx is installed during build then no manpages got
installed.
Have look at 'Makefile.in' line 646 ff:
@BUILD_WIN32_FALSE@@HAVE_RECENT_SPHINX_TRUE@am__append_44 = \
@BUILD_WIN32_FALSE@@HAVE_RECENT_SPHINX_TRUE@ man/memaslap.1 \
@BUILD_WIN32_FALSE@@HAVE_RECENT_SPHINX_TRUE@ man/memcapable.1 \
....

if no python-sphinx is installed, then @HAVE_RECENT_SPHINX_TRUE@ will be
replaced with '#' and the result is: no manpages got installed.
If manpages are already 'built', so why is SPHINX needed ?
This should be fixed.
Thanks
Cheers
 Chris

Am 08.02.2013 06:26, schrieb Brian Aker:
> Hi,
>
> The manages are written in RST. python-sphnix is used to convert the
> files into a number of formats (one of which is used for man pages).
>
> The tarball is shipped with the pages built so that no one has to deal
> with building the pages.
>
> Cheers,
> -Brian
>
> On Feb 4, 2013, at 2:34 PM, Christian Wittmer <email address hidden> wrote:
>
>> why do I need 'python-sphinx' to have man pages installed ?
>>
>> --
>> You received this bug notification because you are a bug assignee.
>> https://bugs.launchpad.net/bugs/1080376
>>
>> Title:
>> no man pages with 'make install'
>>
>> Status in libmemcached - A C and C++ client library for memcached:
>> Fix Released
>>
>> Bug description:
>> Hi,
>>
>> just trying to update our SUSE pkg (1.0.11) to current 1.0.14 and
>> recognizing that there are no man pages after build.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/libmemcached/+bug/1080376/+subscriptions

--

Christian
----------------------------------------------------
   - Please do not 'CC' me on list mails.
          Just reply to the list :)
----------------------------------------------------
Der ultimative shop für Sportbekleidung und Zubehör

http://www.sc24.de
----------------------------------------------------

Brian Aker (brianaker) wrote :

Thank you!

Let me look and see if this fixes it.

On Feb 8, 2013, at 2:41, Christian Wittmer <email address hidden> wrote:

> Hi,
>
> so why is a installed python-sphinx needed during build to get the
> manpages installed.
> If no python-sphinx is installed during build then no manpages got
> installed.
> Have look at 'Makefile.in' line 646 ff:
> @BUILD_WIN32_FALSE@@HAVE_RECENT_SPHINX_TRUE@am__append_44 = \
> @BUILD_WIN32_FALSE@@HAVE_RECENT_SPHINX_TRUE@ man/memaslap.1 \
> @BUILD_WIN32_FALSE@@HAVE_RECENT_SPHINX_TRUE@ man/memcapable.1 \
> ....
>
> if no python-sphinx is installed, then @HAVE_RECENT_SPHINX_TRUE@ will be
> replaced with '#' and the result is: no manpages got installed.
> If manpages are already 'built', so why is SPHINX needed ?
> This should be fixed.
> Thanks
> Cheers
> Chris
>
>
> Am 08.02.2013 06:26, schrieb Brian Aker:
>> Hi,
>>
>> The manages are written in RST. python-sphnix is used to convert the
>> files into a number of formats (one of which is used for man pages).
>>
>> The tarball is shipped with the pages built so that no one has to deal
>> with building the pages.
>>
>> Cheers,
>> -Brian
>>
>> On Feb 4, 2013, at 2:34 PM, Christian Wittmer <email address hidden> wrote:
>>
>>> why do I need 'python-sphinx' to have man pages installed ?
>>>
>>> --
>>> You received this bug notification because you are a bug assignee.
>>> https://bugs.launchpad.net/bugs/1080376
>>>
>>> Title:
>>> no man pages with 'make install'
>>>
>>> Status in libmemcached - A C and C++ client library for memcached:
>>> Fix Released
>>>
>>> Bug description:
>>> Hi,
>>>
>>> just trying to update our SUSE pkg (1.0.11) to current 1.0.14 and
>>> recognizing that there are no man pages after build.
>>>
>>> To manage notifications about this bug go to:
>>> https://bugs.launchpad.net/libmemcached/+bug/1080376/+subscriptions
>
> --
>
> Christian
> ----------------------------------------------------
> - Please do not 'CC' me on list mails.
> Just reply to the list :)
> ----------------------------------------------------
> Der ultimative shop für Sportbekleidung und Zubehör
>
> http://www.sc24.de
> ----------------------------------------------------
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1080376
>
> Title:
> no man pages with 'make install'
>
> Status in libmemcached - A C and C++ client library for memcached:
> Fix Released
>
> Bug description:
> Hi,
>
> just trying to update our SUSE pkg (1.0.11) to current 1.0.14 and
> recognizing that there are no man pages after build.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/libmemcached/+bug/1080376/+subscriptions

Ken Zalewski (ken-zalewski) wrote :

I am confirming that man pages are not being installed for version 1.0.16. They were properly installed for version 1.0.15.

The Changelog does not indicate that anything changed with regard to man page configuration and installation, so I have no idea why this is not working.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers